Network devices
Implementation internals » Device handling

Network device scan functions. More...

## Functions

static void | get_ethtool_priv (hd_data_t *hd_data, hd_t *hd)
static void | get_driverinfo (hd_data_t *hd_data, hd_t *hd)
static void | get_linkstate (hd_data_t *hd_data, hd_t *hd)
static hd_res_t * | get_phwaddr (hd_data_t *hd_data, hd_t *hd)
static void | add_xpnet (hd_data_t *hdata)
static void | add_uml (hd_data_t *hdata)
static void | add_kma (hd_data_t *hdata)
static void | add_if_name (hd_t *hd_card, hd_t *hd)
void | hd_scan_net (hd_data_t *hd_data)

## Detailed Description

Network device scan functions.

Gather network interface info

## Function Documentation

## add_if_name()

void add_if_name | ( | hd_t * | hd_card,
|  | hd_t * | hd )

static

References add_str_list(), free_mem(), hd_id_t::id, new_mem(), new_str(), s_str_list_t::next, sc_nif_other, search_str_list(), s_str_list_t::str, s_hd_t::sub_class, s_hd_t::unix_dev_name, and s_hd_t::unix_dev_names.

Referenced by add_kma(), add_uml(), add_xpnet(), and hd_scan_net().

## add_kma()

void add_kma | ( | hd_data_t * | hdata | ) |

static

References add_hd_entry(), add_if_name(), add_res_entry(), res_hwaddr_t::addr, u_hd_res_t::any, s_hd_t::attached_to, s_hd_t::base_class, bc_network, bc_network_interface, s_hd_t::device, s_hd_t::drivers, hd_data, u_hd_res_t::hwaddr, hd_id_t::id, s_hd_t::idx, MAKE_ID, s_hd_t::module, hd_id_t::name, new_mem(), new_str(), s_hd_t::next, u_hd_res_t::next, s_hd_t::res, res_hwaddr, search_str_list(), s_hd_t::slot, str_printf(), s_hd_t::sub_class, TAG_SPECIAL, res_any_t::type, res_hwaddr_t::type, and s_hd_t::vendor.

Referenced by hd_scan_net().

## add_uml()

void add_uml | ( | hd_data_t * | hdata | ) |

static

References add_hd_entry(), add_if_name(), add_res_entry(), res_hwaddr_t::addr, u_hd_res_t::any, s_hd_t::attached_to, s_hd_t::base_class, bc_network, bc_network_interface, s_hd_t::device, s_hd_t::drivers, hd_data, u_hd_res_t::hwaddr, hd_id_t::id, s_hd_t::idx, MAKE_ID, s_hd_t::module, hd_id_t::name, new_mem(), new_str(), s_hd_t::next, u_hd_res_t::next, s_hd_t::res, res_hwaddr, search_str_list(), s_hd_t::slot, str_printf(), s_hd_t::sub_class, TAG_SPECIAL, res_any_t::type, res_hwaddr_t::type, and s_hd_t::vendor.

Referenced by hd_scan_net().

## add_xpnet()

void add_xpnet | ( | hd_data_t * | hdata | ) |

static

References add_hd_entry(), add_if_name(), add_res_entry(), add_str_list(), res_hwaddr_t::addr, u_hd_res_t::any, s_hd_t::attached_to, s_hd_t::base_class, bc_network, bc_network_interface, s_hd_t::device, s_hd_t::drivers, hd_data, hd_module_is_active(), u_hd_res_t::hwaddr, hd_id_t::id, s_hd_t::idx, MAKE_ID, s_hd_t::module, new_mem(), new_str(), s_hd_t::next, u_hd_res_t::next, s_hd_t::res, res_hwaddr, sc_nif_xp, s_hd_t::sub_class, TAG_SPECIAL, res_any_t::type, res_hwaddr_t::type, and s_hd_t::vendor.

Referenced by hd_scan_net().

## get_driverinfo()

void get_driverinfo | ( | hd_data_t * | hd_data,
|  | hd_t * | hd )

static

References ADD2LOG, add_str_list(), s_hd_t::drivers, hd_data, and s_hd_t::unix_dev_name.

Referenced by hd_scan_net().

## get_ethtool_priv()

void get_ethtool_priv | ( | hd_data_t * | hd_data,
|  | hd_t * | hd )

static

References ADD2LOG, s_hd_t::is_s::fcoe_offload, hd_data, s_hd_t::is, s_hd_t::is_s::iscsi_offload, s_hd_t::is_s::storage_only, and s_hd_t::unix_dev_name.

Referenced by hd_scan_net().

## get_linkstate()

void get_linkstate | ( | hd_data_t * | hd_data,
|  | hd_t * | hd )

static

References ADD2LOG, add_res_entry(), hd_data, new_mem(), s_hd_t::res, res_link, and s_hd_t::unix_dev_name.

Referenced by hd_scan_net().

## get_phwaddr()

hd_res_t * get_phwaddr | ( | hd_data_t * | hd_data,
|  | hd_t * | hd )

static

References ADD2LOG, add_res_entry(), free_mem(), hd_data, new_mem(), new_str(), s_hd_t::res, res_phwaddr, and s_hd_t::unix_dev_name.

Referenced by hd_scan_net().

## hd_scan_net()

void hd_scan_net | ( | hd_data_t * | hd_data | ) |

References ADD2LOG, add_hd_entry(), add_if_name(), add_kma(), add_res_entry(), add_str_list(), add_uml(), add_xpnet(), res_hwaddr_t::addr, u_hd_res_t::any, s_hd_t::attached_to, s_hd_t::base_class, bc_network, bc_network_interface, s_hd_t::bus, bus_none, canon_str(), s_hd_t::drivers, s_hd_t::is_s::fcoe_offload, free_mem(), free_str_list(), get_driverinfo(), get_ethtool_priv(), get_linkstate(), get_phwaddr(), get_sysfs_attr_by_path(), hd_attr_uint(), hd_data, hd_find_sysfs_id(), hd_find_sysfs_id_devname(), hd_get_device_by_idx(), hd_is_sgi_altix(), hd_probe_feature(), hd_read_sysfs_link(), hd_set_hw_class(), hd_sysfs_id(), hw_network_ctrl, u_hd_res_t::hwaddr, hd_id_t::id, s_hd_t::idx, s_hd_t::is, s_hd_t::is_s::iscsi_offload, u_hd_res_t::link, mod_net, s_hd_t::module, new_mem(), new_str(), s_hd_t::next, s_str_list_t::next, u_hd_res_t::next, pr_net, pr_net_eeprom, PROGRESS, read_dir(), read_file(), remove_hd_entries(), s_hd_t::res, res_hwaddr, res_link, res_phwaddr, sc_nif_ctc, sc_nif_escon, sc_nif_ethernet, sc_nif_fddi, sc_nif_hsi, sc_nif_iucv, sc_nif_loopback, sc_nif_myrinet, sc_nif_other, sc_nif_qeth, sc_nif_sit, sc_nif_tokenring, sc_nif_usb, sc_nif_wlan, sc_nif_xp, s_hd_t::slot, res_link_t::state, s_hd_t::is_s::storage_only, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_device_link, s_hd_t::sysfs_id, res_any_t::type, res_hwaddr_t::type, res_link_t::type, and s_hd_t::unix_dev_name.

Referenced by hd_scan_no_hal().